/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/xxas-oracle-navigator.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/xxas-oracle-navigator.xml',
'<View title="Oracle Navigator" showSubmit="true" submitLabel="Go" formHelp="Navigate to an Oracle function by entering it here." defaultFormHandler="xxas_com_sec_pkg.oracle_nav_form_handler" clientAutosave="false">
  <EditFields>
      <Combolist id="FUNCTION" label="Function" listProvider="REST:responsibility-functions?q={searchText}" emptyValue="Enter Oracle function name" longlist="true" required="false"/>
      <Html value="Alternatively, go to the &lt;a href=&quot;/OA_HTML/OA.jsp?OAFunc=OAHOMEPAGE&quot;&gt;Oracle Advanced Home Page &lt;/a&gt;"/>
  </EditFields>
</View>' ); 

  xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/xxas-oracle-navigator.xml');

END;
/
COMMIT;
EXIT;
